--- a/platform-support.lisp
+++ b/platform-support.lisp
@@ -124,7 +124,7 @@
         ;; FIXME: remove the -r2 for 1.0.30, or use somethign more automagic...
         "sbcl-" (car *most-recent-release*) "-source.tar.bz2"))
    (<p> "The development version is available from git: ")   
-   (<pre> "git clone git://sbcl.git.sourceforge.net/gitroot/sbcl/sbcl.git")
+   (<pre> "git clone git://git.code.sf.net/p/sbcl/sbcl")
    (<p> (<b> "Binaries: "))
    (<p> "The table below links to the latest binaries for SBCL on
     each platform, where are available.")